Name:      ibus-sunpinyin
Summary:   A statistical language model based Chinese input method
Version:   2.0.3
Release:   %mkrel 11
Group:     System/Internationalization
License:   LGPLv2+
URL:       http://code.google.com/p/sunpinyin
Source0:   http://sunpinyin.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:    ibus-sunpinyin-2.0.3-ibus-1.4.patch
BuildRequires:	ibus-devel >= 1.3.9-3
BuildRequires:	sqlite3-devel
BuildRequires:	glib2-devel
BuildRequires:	intltool >= 0.35.0
BuildRequires:	sunpinyin-devel >= %version
BuildRequires:	gtk+2-devel
BuildRequires:	cmake
Requires:	ibus >= 1.2.0
Requires:	pygtk2.0-libglade

%description
SunPinyin is a statistical language model based Chinese input method,
which was firstly developed by Sun Beijing Globalization team, and
opensource'd to community with opensolaris project, with LGPLv2 and
CDDL dual-licenses. 

SunPinyin had been ported to various input method platforms and
operating systems. The 2.0 release currently supports iBus, XIM, and
Mac OS X.

%prep
%setup -q
%autopatch -p0

%build
%cmake -DLIBEXEC_DIR=%{_libexecdir}
%make

%install
%makeinstall_std -C build

%find_lang %name

%if 0
%post
%post_ibus_register_engine sunpinyin zh_CN

%preun
%preun_ibus_unregister_engine sunpinyin
%endif

%files -f %name.lang
%{_datadir}/%name
%{_datadir}/ibus/component/sunpinyin.xml
%{_libexecdir}/ibus-engine-sunpinyin
%{_libexecdir}/ibus-setup-sunpinyin


%changelog
* Mon Feb 15 2016 umeabot <umeabot> 2.0.3-11.mga6
+ Revision: 960651
- Mageia 6 Mass Rebuild

* Sun Aug 30 2015 cjw <cjw> 2.0.3-10.mga6
+ Revision: 871204
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 2.0.3-9.mga5
+ Revision: 744142
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.3-8.mga5
+ Revision: 680422
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.3-7.mga4
+ Revision: 505949
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.0.3-6.mga3
+ Revision: 354084
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 fwang <fwang> 2.0.3-5.mga3
+ Revision: 322523
- add missing requires on pyglade (bug#8205)

* Tue Oct 23 2012 fwang <fwang> 2.0.3-4.mga3
+ Revision: 309393
- rebuild for new ibus

* Sat Sep 24 2011 fwang <fwang> 2.0.3-3.mga2
+ Revision: 147493
- fix build with ibus 1.4
- rebuild for new ibus

* Wed Jul 13 2011 fwang <fwang> 2.0.3-2.mga2
+ Revision: 123606
- new version 2.0.3

* Fri Mar 18 2011 tv <tv> 2.0.1-3.mga1
+ Revision: 73604
- imported package ibus-sunpinyin


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-3mdv2011.0
+ Revision: 611141
- rebuild

* Mon Apr 26 2010 Funda Wang <fwang@mandriva.org> 2.0.1-2mdv2010.1
+ Revision: 538923
- rebuild

* Wed Apr 14 2010 Funda Wang <fwang@mandriva.org> 2.0.1-1mdv2010.1
+ Revision: 534690
- update file list
- fix tarball dir
- New version 2.0.1

* Sun Mar 28 2010 Funda Wang <fwang@mandriva.org> 2.0-1mdv2010.1
+ Revision: 528583
- BR intltool
- import ibus-sunpinyin


